Package Release Info

obs-service-set_version-0.5.8-bp152.3.13

Update Info: Base Release
Available in Package Hub : 15 SP2

platforms

AArch64
ppc64le
s390x
x86-64

subpackages

obs-service-set_version

Change Logs

Version: 0.5.11-bp153.1.10
* Mon Nov 26 2018 ro@suse.de
- for now obs_scm_testsuite only for > 1315, needed python stuff
  not available otherwise
* Fri Nov 16 2018 opensuse-packaging@opensuse.org
- Update to version 0.5.11:
  * fix code to pass flake8 tests for python3
  * fix zipfile crash also for python2.7
  * avoid error with latest flake8 about unused variable
  * allow running tests with python3
  * second place where zip file handling can crash
  * avoid crashes due to false is_zipfile() response
  * Add python-flake8 to test suite package list
  * Fix indentation of condition
  * Fix basename to match documentation (#54)
* Wed Sep 19 2018 adrian@suse.de
- Update to version 0.5.10:
  * fix zipfile crash also for python2.7
* Mon Sep 17 2018 olaf@aepfle.de
- Wrap make check in bcond obs_scm_testsuite
* Mon Sep 17 2018 adrian@suse.de
- Update to version 0.5.9:
  * avoid crashes due to false is_zipfile() response
- enable test suite
Version: 0.5.8-bp150.2.4
* Mon Dec 11 2017 fschreiner@suse.de
- Update to version 0.5.8:
  * fixes boo#1072359
  * code cleanup and some refactoring
  * cli options --debug and --regex
  * new targets (test/clean) for Makefile
  * initial .gitignore
  * Mention that tests may take some time in README.md
  * Fix pip/zypper tests for python3
  * enforce files to be decoded as UTF-8
  * Don't let version check get beyond path boundary
  * Slightly reorganize README.md file
* Mon Nov 06 2017 adrian@suse.de
- add requires to python3, since Leap 15.0 still does not have
  the fileprovides
* Mon Nov 06 2017 adrian@suse.de
- Update to version 0.5.7:
  * added gitignore
  * added target 'clean' in Makefile
  * Added new target 'test' to Makefile
  * fix flake8 error 'do not use bare except'
  * Reverting patch for setlocale as it breaks in containers
* Mon Oct 30 2017 adrian@suse.de
- Update to version 0.5.7:
  * workaround for python3 locale problems in factory
  * add a hint to flake8
  * satisfy flake8
  * skip also sha256sums check for Arch
* Tue Oct 10 2017 dmueller@suse.com
- switch to python3 for less ancient distros
* Tue Sep 19 2017 opensuse-packaging@opensuse.org
- Avoid half-converting Debian native pkgs to non-native pkgs
- Simplify the pip version handling
- travis: Do not use "--use-mirrors" when using pip
- travis: Test python 3.6
* Mon Jul 03 2017 adrian@suse.de
- try to avoid python-packaging to support non-SUSE distros
* Thu Apr 27 2017 adrian@suse.de
- Update to version 0.5.6:
  * strip \n from version in obsinfo
* Thu Mar 02 2017 adrian@suse.de
- Update to version 0.5.5:
  * read version from .obsinfo file if available
  * Add support for Collax build recipes
* Fri Jan 13 2017 adrian@suse.de
- Update to version 0.5.4:
  * support obscpio archives
  * do not strip release number in debian, but setting it back
* Thu Apr 21 2016 opensuse-packaging@opensuse.org
- Update to version 0.5.3:
  * VersionDetector._autodetect: prioritize the directory name over the file name
* Fri Apr 08 2016 tbechtold@suse.com
- Update to version 0.5.3:
  * Don't add unconverted_version unconditionally
* Thu Mar 03 2016 tbechtold@suse.com
- Update to version 0.5.3:
  + Use old version from testing data instead of hardcoding
  + Fix replacement of empty tags
  + Fix empty version checks for debian/changelog
  + fix when switching from .dev to non-dev version
* Thu Sep 03 2015 adrian@suse.de
- Update to version 0.5.3:
  + Set pkgver and pkgrel for PKGBUILD files (fixes #21)
  + Fix python3 compat
* Mon Aug 17 2015 adrian@suse.de
- Update to version 0.5.2:
  + fix it ... it only worked with "disabledrun" mode by luck
* Tue Jul 28 2015 adrian@suse.de
- Update to version 0.5.1:
  + Make python-packaging runtime dep optional
  + Fix %setup handling for python spec files
* Mon Jul 27 2015 adrian@suse.de
- Recommends python-packaging
* Fri Jul 24 2015 tbechtold@suse.com
- Require python-packaging
* Fri Jul 24 2015 adrian@suse.de
- Update to version 0.5.0:
  + Add Makefile with install target
  + Change debian source format to 'native'
  + Fix tar file detection for PKGBUILD
  + Add Testsuite and README.md
  + - empty dummy commit to test travis hook
  + Disable py26, enable py{33,34} for tests
  + Add basic test for debian changelogs
  + Add travis build status image to README
  + Also do negative test for debian/changelog
  + Move testdata to .json files
  + Move _write_tarfile() to base test class
  + Remove python 2.6 compat import
  + Reuse test data for debian changelog tests
  + Rewrite set_version in python
  + Install devscripts in travis-ci test env
  + Restructure version detection code
  + Allow files in test tarballs
  + Add package type detection for python
  + Add version converter for python packages
  + Run python version converter tests with dpkg
  + Add function to add or replace a %define
  + Fix problem with replacing tags in spec files
  + Add function to replace %{version} in %setup
  + Add custom line support for _write_specfile func
  + Finally use version conversion for python packages
  + Skip some tests if zypper or dpkg are unavailable
  + Use python binary from virtualenv
* Thu Sep 11 2014 jblunck@infradead.org
- Update to version 0.4.2:
  + Release 0.4.2 - Update Debian changelog